edu.sc.seis.sod

## Class Status

- java.lang.Object
- - edu.sc.seis.sod.Status

- All Implemented Interfaces:
    java.io.Serializable

      public class Status
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Status[][]` | `ALL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Status()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Status` | `get(Stage stage, Standing standing)`
    `static Status` | `get(java.lang.String nestedText)`
    `short` | `getAsShort()`
    `static Status` | `getFromShort(short val)`
    `Stage` | `getStage()`
    `int` | `getStageInt()`
    `Standing` | `getStanding()`
    `int` | `getStandingInt()`
    `protected void` | `setStageInt(int val)`
    `protected void` | `setStandingInt(int val)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static final Status[][] ALL

  - ### Constructor Detail

    - #### Status

          protected Status()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getStanding

          public Standing getStanding()

    - #### getStage

          public Stage getStage()

    - #### getAsShort

          public short getAsShort()

    - #### getFromShort

          public static Status getFromShort(short val)

    - #### get

          public static Status get(Stage stage,
                                   Standing standing)

    - #### getStandingInt

          public int getStandingInt()

    - #### setStandingInt

          protected void setStandingInt(int val)

    - #### getStageInt

          public int getStageInt()

    - #### setStageInt

          protected void setStageInt(int val)

    - #### get

          public static Status get(java.lang.String nestedText)